# a fairly simple multi-EM poller that produces a CSV file to stdout.
# (the CSV will contain multiple "little" CSV files in it - the header 
# will be repeated).


# most perl installations have this library.  If not, it's available from CPAN.
use LWP::Simple;

# the EMs to ask for data. (host:webServerPort)
@ems = 
	(
	"localhost:8080",
	);

# the regexes for data to get from each EM
@regexes = 
	(
	"GC.*",
	);

# additional options (see the integration toolkit README for more details)

%additional_options = 
	(
	"format" => "classic",
	"relativeTime" => "last4hours",
	"period" => "60",
	);


### Shouldn't need to modify below here for simple usage

$ops = "";
for $key (keys %additional_options) {
    $val = $additional_options{$key};
    $ops .= "&$key=$val";
}

for $em (@ems) {
    for $regex (@regexes) {
        $url = "http://$em/data?metricRegex=$regex" . $ops;
	getprint($url);
    }
}
